> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get trial data for a client and product

> Retrieve trial data for a specific client and product. If the client does not have a trial, return the base trial data for the product.



## OpenAPI

````yaml /api-reference/services_documented/billing_reseller_api.yaml get /billing/org/v1/trials/start-trial-data
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Billing Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: addendums
    description: Operations on client addendums
    x-displayName: addendums
  - name: calc_rules
    x-displayName: calc_rules
  - name: currencies
    x-displayName: currencies
  - name: erp-invoices
    x-displayName: erp-invoices
  - name: expenses
    description: Operations on expenses
    x-displayName: expenses
  - name: plans
    description: Operations on tariff plans and their contents
    x-displayName: plans
  - name: products
    x-displayName: products
  - name: reports
    description: >-
      Operations involving reports and the associated background tasks that
      handle their processing
    x-displayName: reports
  - name: trials
    x-displayName: trials
paths:
  /billing/org/v1/trials/start-trial-data:
    get:
      tags:
        - trials
      summary: Get trial data for a client and product
      description: >-
        Retrieve trial data for a specific client and product. If the client
        does not have a trial, return the base trial data for the product.
      operationId: v1_trials_start_trial_data_retrieve
      parameters:
        - in: query
          name: client_id
          schema:
            type: integer
            maximum: 2147483647
            minimum: -2147483648
          description: ID of the client for whom to retrieve trial data.
          required: true
        - in: query
          name: product_id
          schema:
            type: integer
          description: ID of the product for which to retrieve trial data.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrialForOrgSerializerV1'
          description: Request successful.
        '401':
          description: Authentication credentials were not provided or are invalid.
        '403':
          description: You do not have permission to perform this action.
components:
  schemas:
    TrialForOrgSerializerV1:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        client_id:
          type: integer
          readOnly: true
          description: ID of the client associated with the trial.
        client:
          allOf:
            - $ref: '#/components/schemas/CustomerCommonShort'
          readOnly: true
          description: Client associated with the trial.
        product:
          allOf:
            - $ref: '#/components/schemas/ProductCommonShort'
          readOnly: true
          description: Product associated with the trial.
        plan:
          allOf:
            - $ref: '#/components/schemas/PlanCommonShort'
          readOnly: true
          description: Plan associated with the trial.
        days_limit:
          type: integer
          readOnly: true
          description: The number of days for which the trial is valid.
        active_ranges:
          type: array
          items:
            $ref: '#/components/schemas/DateTimeTZRange'
          readOnly: true
          description: List of active ranges for the trial.
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: The date and time when the trial was created.
        options:
          type: array
          items:
            $ref: '#/components/schemas/TrialOptionForOrgSerializerV1'
          readOnly: true
          description: List of trial options associated with the trial.
        remaining_duration:
          type: integer
          readOnly: true
          description: >-
            Remaining duration of the trial period in seconds. This is
            calculated as the difference between the end date of the trial and
            the current time. If the trial has not started or has ended, this
            field will be `null`.
        is_trial_skipped:
          type: string
          readOnly: true
          description: Indicates if the trial is skipped.
      required:
        - active_ranges
        - client
        - client_id
        - created_at
        - days_limit
        - id
        - is_trial_skipped
        - options
        - plan
        - product
        - remaining_duration
    CustomerCommonShort:
      type: object
      properties:
        id:
          type: integer
          minimum: 1
          readOnly: true
        company_name:
          type: string
          readOnly: true
      required:
        - company_name
        - id
    ProductCommonShort:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
        internal_name:
          type: string
          maxLength: 25
      required:
        - id
        - internal_name
        - name
    PlanCommonShort:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
      required:
        - id
        - name
    DateTimeTZRange:
      type: object
      description: Date-time range with start and end fields.
      properties:
        start:
          type: string
          format: date-time
          nullable: true
        end:
          type: string
          format: date-time
          nullable: true
    TrialOptionForOrgSerializerV1:
      type: object
      properties:
        internal_name:
          type: string
          title: Trial option internal name
          readOnly: true
          description: Internal name of the trial option.
        name:
          type: string
          readOnly: true
          description: Name of the trial option.
        description:
          type: string
          readOnly: true
          description: Description of the trial option.
        unit:
          allOf:
            - $ref: '#/components/schemas/UnitCommon'
          readOnly: true
          description: >-
            Unit of measurement for the `value`, `used_value`, and `remainder`
            fields.
        value:
          type: integer
          minimum: 0
          readOnly: true
          description: Value of the trial option in `unit`.
        used_value:
          type: integer
          readOnly: true
          description: >-
            Used value of the trial option in `unit`. This is the value that has
            been consumed or utilized during the trial period.
        remaining_value:
          type: integer
          readOnly: true
          description: >-
            Remaining value of the trial option in `unit`. This is calculated as
            the difference between `value` and `used_value` if the trial option
            is a limit. If it is not a limit, this field will be `null`.
        is_limit:
          type: boolean
          readOnly: true
          description: Indicates if the trial option is a limit.
        feature:
          allOf:
            - $ref: '#/components/schemas/FeatureCommonExternal'
          readOnly: true
          description: Feature associated with the trial option.
      required:
        - description
        - feature
        - internal_name
        - is_limit
        - name
        - remaining_value
        - unit
        - used_value
        - value
    UnitCommon:
      type: object
      properties:
        id:
          type: integer
          minimum: 1
          readOnly: true
          description: Unique internal identifier of the unit.
        name:
          type: string
          readOnly: true
          description: Name of the unit.
        internal_name:
          type: string
          readOnly: true
          description: Internal name of the unit.
      required:
        - id
        - internal_name
        - name
    FeatureCommonExternal:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
      required:
        - id
        - name
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````